# Payment Links

`Payment Links` create individual links you can send to buyers to complete a transaction. You can share these links on different platforms such as web pages, email, text, or QR codes. 

**Related Guides:**
- [Payment Links](/low-code-no-code/payment-links)


## Create a Payment Link

 - [POST /payment_links](https://docs.finix.com/api/payment-links/createpaymentlink.md): Create a Payment Link to help a buyer submit a payment. 

Related guides: Payment Links.

## List Payment Links

 - [GET /payment_links](https://docs.finix.com/api/payment-links/listpaymentlinks.md): Retrieve a list of previously created Payment Links.

Related guides: Payment Links.

For details on how to query endpoints using the available parameters, see Query Parameters.

## Fetch a Payment Link

 - [GET /payment_links/{payment_link_id}](https://docs.finix.com/api/payment-links/getpaymentlink.md): Retrieve the details of a previously created Payment Link.

## Update a Payment Link

 - [PUT /payment_links/{payment_link_id}](https://docs.finix.com/api/payment-links/updatepaymentlink.md): Update an existing Payment Link resource, commonly used for:

- Adding or updating tags and nickname
- Toggling the payment link's state between ACTIVE and DEACTIVATED
- Modifying allowed_payment_methods for an ACTIVE payment link
- Modifying buyer_details for an ACTIVE single-use payment link

The only fields that can be updated for COMPLETED, EXPIRED, or DEACTIVATED payment links are nickname and tags.

## List Delivery Attempts for a Payment Link

 - [GET /payment_links/{payment_link_id}/delivery_attempts](https://docs.finix.com/api/payment-links/listpaymentlinkdeliveryattempts.md): When a Payment Link is submitted, a Delivery Attempt associated with the payment link is created. Use this endpoint to retrieve a list of delivery attempts for a specific payment link.

## Manually Send a Payment Link

 - [POST /payment_links/{payment_link_id}/delivery_attempts](https://docs.finix.com/api/payment-links/sendpaymentlink.md): Manually send an existing Payment Link by email or SMS, using the same or a different contact details/method as those provided during creation. 

Each Payment Link can be sent to up to 15 unique destinations (email addresses or phone numbers), including its existing destinations.

